[翻译]  MS SQL Server with Rails 4

[CHINESE]  带有Rails的MS SQL Server 4


I want to create an application on Rails 4 that would use existent MS SQL database. This application could greatly benefit from using Rails 4 and all its new features But it seems the gem everyone recomend to use - activerecord-sqlserver-adapter doesn't support rails 4.0.0 - https://github.com/rails-sqlserver/activerecord-sqlserver-adapter/issues/250 Does anyone could advice is there any other ways to connect to MS SQL Server without using this gem? Thanks in advance!

我想在Rails 4上创建一个使用现有MS SQL数据库的应用程序。这个应用程序可以大大受益于使用Rails 4及其所有新功能但似乎每个人都建议使用的gem - activerecord-sqlserver-adapter不支持rails 4.0.0 - https://github.com/rails-sqlserver/ activerecord-sqlserver-adapter / issues / 250有没有人可以建议有没有其他方法连接到MS SQL Server而不使用这个gem?提前致谢!

5 个解决方案

#1


2  

I just found this fork while looking for the same: https://github.com/arthrex/activerecord-sqlserver-adapter. Can't say how complete it is.

我在寻找相同的时候找到了这个叉子:https://github.com/arthrex/activerecord-sqlserver-adapter。不能说它有多完整。

#2


2  

You can try below gem to use MS SQL Server 5 and higher with Rails 4.

您可以尝试使用以下gem来使用Rails 4中的MS SQL Server 5及更高版本。

sudo gem install sic-activerecord-sqlserver-adapter

This will work with Rails 4 definitely, i have tried this. thanks.

这肯定适用于Rails 4,我试过这个。谢谢。

Another, good news, rails 4 supportive version released for activerecord-sqlserver-adapter

另一个好消息是为activerecord-sqlserver-adapter发布了rails 4支持版本

now we can use below gem for MS-SQL with Rails 4

现在我们可以使用下面的gem为MS-SQL和Rails 4

gem 'activerecord-sqlserver-adapter', '~> 4.0.0'

along with Runtime Dependencies

以及运行时依赖项

activerecord ~> 4.0.0

#3


1  

There is an update from the discussion from issue: https://github.com/rails-sqlserver/activerecord-sqlserver-adapter/pull/278

来自问题的讨论有一个更新:https://github.com/rails-sqlserver/activerecord-sqlserver-adapter/pull/278

IMHO, the best fork so far (that I could test) is https://github.com/annaswims/activerecord-sqlserver-adapter/tree/rails-4 mainly for beeing transparent about the progress on the test base.

恕我直言,迄今为止最好的分支(我可以测试)是https://github.com/annaswims/activerecord-sqlserver-adapter/tree/rails-4主要是为了透明测试基础上的进展。

#4


0  

rails-sqlserver/activerecord-sqlserver-adapter now supports rails 4 as per https://github.com/rails-sqlserver/activerecord-sqlserver-adapter/issues/250

rails-sqlserver / activerecord-sqlserver-adapter现在支持rails 4,按照https://github.com/rails-sqlserver/activerecord-sqlserver-adapter/issues/250

#5


0  

The adapter now supports v4.2 as well. https://github.com/rails-sqlserver/activerecord-sqlserver-adapter

适配器现在也支持v4.2。 https://github.com/rails-sqlserver/activerecord-sqlserver-adapter


注意!

本站转载的文章为个人学习借鉴使用,本站对版权不负任何法律责任。如果侵犯了您的隐私权益,请联系我们删除。



 
© 2014-2018 ITdaan.com 粤ICP备14056181号